%global __provides_exclude_from ^%{_qt5_plugindir}/.*\\.so$

Name:           qt5-qtimageformats
Version:        5.11.1
Release:        5
Summary:        Qtimageformats component of qt5
License:        LGPLv2 with exceptions or LGPLv3 with exceptions
URL:            http://www.qt.io
Source0:        https://download.qt.io/archive/qt/5.11/5.11.1/submodules/qtimageformats-everywhere-src-5.11.1.tar.xz

BuildRequires:  qt5-qtbase-devel >= %{version} libmng-devel libtiff-devel libwebp-devel
Requires:	%{_qt5} = %{_qt5_version}

Provides:       qt5-qtimageformats-devel = %{version}-%{release}

%description
The core Qt Gui library by default supports reading and writing image files of the most common file formats:
PNG, JPEG, BMP, GIF and a few more, ref. Reading and Writing Image Files. The Qt Image Formats add-on module
provides optional support for other image file formats.

%prep
%autosetup -n qtimageformats-everywhere-src-%{version}

%build
%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE.* LGPL_EXCEPTION.txt
%{_qt5_plugindir}/*/*.so
%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_*Plugin.cmake

%changelog
* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 5.11.1-5
- Package init
